Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.typedarrays.client
Class NativeImplEmulClamped

    java.lang.Object
      com.google.gwt.typedarrays.shared.TypedArrays.Impl
          com.google.gwt.typedarrays.client.NativeImpl
              com.google.gwt.typedarrays.client.NativeImplEmulClamped

    public class NativeImplEmulClamped

extends NativeImpl

An implementation class used for browsers which provide native implementations of `DataView` but not `Uint8ClampedArray`.

Older versions of WebKit and IE10 are such browsers.

Constructor Summary
`NativeImplEmulClamped()`

Method Summary
`protected boolean` | `checkDataViewSupport()`

Methods inherited from class com.google.gwt.typedarrays.client.NativeImpl
`checkUint8ClampedArraySupport, createArrayBuffer, createDataView, createDataView, createDataView, createFloat32Array, createFloat32Array, createFloat32Array, createFloat32Array, createFloat32Array, createFloat64Array, createFloat64Array, createFloat64Array, createFloat64Array, createFloat64Array, createInt16Array, createInt16Array, createInt16Array, createInt16Array, createInt16Array, createInt32Array, createInt32Array, createInt32Array, createInt32Array, createInt32Array, createInt8Array, createInt8Array, createInt8Array, createInt8Array, createInt8Array, createUint16Array, createUint16Array, createUint16Array, createUint16Array, createUint16Array, createUint32Array, createUint32Array, createUint32Array, createUint32Array, createUint32Array, createUint32Array, createUint8Array, createUint8Array, createUint8Array, createUint8Array, createUint8Array, createUint8ClampedArray, createUint8ClampedArray, createUint8ClampedArray, createUint8ClampedArray, createUint8ClampedArray, runtimeSupportCheck`

Methods inherited from class com.google.gwt.typedarrays.shared.TypedArrays.Impl
`getElementCount, mightBeSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeImplEmulClamped

    public NativeImplEmulClamped()

Method Detail

### checkDataViewSupport

    protected boolean checkDataViewSupport()

  Overrides:
    `checkDataViewSupport` in class `NativeImpl`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD